/**
 * 
 */
package test;

import jp.ac.naka.ec.EntityCollaborator;
import jp.ac.naka.ec.entity.EntityType;
import jp.ac.naka.ec.entity.test.MediaReceiverEntity;
import jp.ac.naka.ec.entity.test.VideoTransmitterEntity;
import jp.ac.naka.ec.media.MediaTransmitter;

/**
 * Mediaを扱う例。設定はJMF RegistryのCapture Devicesの項を参照してください。
 * @author Takashi Kasuya
 *
 */
public class Main3 {

	public static void main(String[] args) {
		
		// SIPのデフォルトポート５０６０でListen
		EntityCollaborator ec = EntityCollaborator.getInstance();
		
		// メディアの送信側設定
		MediaTransmitter.defaultVideoDeviceName ="vfw:Microsoft WDM Image Capture (Win32):0";
		MediaTransmitter.defaultAudioDeviceName = "DirectSoundCapture";
		MediaTransmitter.defaultVideoFormatString = "352x288, encoding=yuv, maxdatalength=152064";
		MediaTransmitter.defaultAudioFormatString = "linear, 8000.0 hz, 8-bit, mono, unsigned";
		
		//　メディアのリクエスト（Offer）、受信側のEntityを作成
		MediaReceiverEntity receiver = new MediaReceiverEntity();
		// タイプを設定
		receiver.setEntityType(EntityType.MEDIA_RECEIVER);
		ec.addEntity(receiver);
		
		// メディア(動画のみ)の送信側のEntityを作成
		VideoTransmitterEntity transmitter = new VideoTransmitterEntity();
		transmitter.setEntityType(EntityType.MEDIA_TRANSMITTER);
		ec.addEntity(transmitter);
	}
}
